### Method

# FwupdPlugin EfiLoadOption get_metadata

#### Declaration [src]

    const gchar*
    fu_efi_load_option_get_metadata (
      FuEfiLoadOption* self,
      const gchar* key,
      GError** error
    )

#### Description [src]

Gets an optional attribute.

Available since: | 2.0.0

#### Parameters

`key` | `const gchar*`
| UTF-8 string.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `const gchar*`
| UTF-8 string, or `NULL`.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.